#include "vision.h"
//#include "grader.cpp"

std::vector<int> getVisionPattern1d()
{
    return {1,2,3};
}

int getMove1d(std::vector<int> v)
{
    int m = v.size()/2;
    int nx = (v[m] + 1);
    if(nx > 3) nx -= 3;
    if(v[m + 1] == nx) return m+1;
    else return m-1;
}

std::vector<std::vector<int>> getVisionPattern2d()
{
    return {{1}};
}

std::pair<int, int> getMove2d(std::vector<std::vector<int>> v)
{
    return {0, 0};
}
